Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.core.scheduler
Class SchedulerController

    java.lang.Object
      lbg.peer.core.scheduler.SchedulerController

Direct Known Subclasses:
  LiveSchedulerController, SimulatedSchedulerController

    public abstract class SchedulerController

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`SchedulerController(Peer managed_peer)`

Method Summary
`void` | `activateAllScheduling()`
`void` | `activateConsumptionScheduling()`
`void` | `activateLocalAndConsumptionScheduling()`
`void` | `activateLocalAndSupplyingScheduling()`
`void` | `activateLocalScheduling()`
`void` | `activateSupplyingScheduling()`
`abstract void` | `awakeScheduler()`
`boolean` | `couldSchedule()`
`void` | `getAndResetControlFlags(SchedulerControlFlags ctrl_flags)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SchedulerController

    public SchedulerController(Peer managed_peer)
                        throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### activateLocalScheduling

    public void activateLocalScheduling()
                                 throws GridException

  Throws:
    `GridException`

### activateSupplyingScheduling

    public void activateSupplyingScheduling()
                                     throws GridException

  Throws:
    `GridException`

### activateConsumptionScheduling

    public void activateConsumptionScheduling()
                                       throws GridException

  Throws:
    `GridException`

### activateLocalAndConsumptionScheduling

    public void activateLocalAndConsumptionScheduling()
                                               throws GridException

  Throws:
    `GridException`

### activateLocalAndSupplyingScheduling

    public void activateLocalAndSupplyingScheduling()
                                             throws GridException

  Throws:
    `GridException`

### activateAllScheduling

    public void activateAllScheduling()
                               throws GridException

  Throws:
    `GridException`

### couldSchedule

    public boolean couldSchedule()

### getAndResetControlFlags

    public void getAndResetControlFlags(SchedulerControlFlags ctrl_flags)

### awakeScheduler

    public abstract void awakeScheduler()
                                 throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.